Bug 116166 - /etc/sysconfig/rhn/mirrors/<channel-name> does not appear to work
/etc/sysconfig/rhn/mirrors/<channel-name> does not appear to work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: FC2Target up2date-fc2 FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-02-18 13:56 EST by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:48:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-02-18 13:56:12 EST
Description of problem:

I read the documentation in /usr/share/up2date-4.3.11/mirrors.txt and
attempted to set up a list of mirrors in a file.  This does not seem
to be working.  My list specifically does not include
http://download.fedora.redhat.com.

With the sources as distributed but a file defined in
/etc/sysconfig/rhn/mirrors the repository selected was not in my list.

I then tried commenting out yum-mirror but then it selected
download.fedora.redhat.com

Broken or don't I understand something?
Comment 1 Matt Jamison 2004-02-18 15:50:02 EST
Gene, post your /etc/sysconfig/rhn/sources file or the lines that
contain the mirror part.
Comment 2 Gene Czarcinski 2004-02-18 16:48:49 EST
Here are the lines from /etc/sysconfig/rhn/sources:

yum fedora-core-rawhide
http://download.fedora.redhat.com/pub/fedora/linux/core/development/$ARCH/
yum-mirror fedora-core-rawhide 
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide

[they got split in this display]

This is the contents of /etc/sysconfig/rhn/mirrors/fedora-core-rawhide

http://mirror.hiwaay.net/redhat/fedora/linux/core/development/$ARCH/
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/$ARCH/
http://mirrors.kernel.org/fedora/core/development/$ARCH/

I got everything updated now so additional testing will need to wait
for tomorrows set of updates.
Comment 3 John Thacker 2006-10-29 08:48:58 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.